package com.ejie.ab79.model;

import java.util.Date;

import com.ejie.ab79.model.inspecciones.OrigenesInspeccion;
import com.ejie.ab79.model.procedimientos.Direcciones;

public class RelOriDir implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private Long idRelOriDir;
	private OrigenesInspeccion origenInspeccion;
	private Direcciones direccion;
	private Integer informeTecnico;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'RelOriDir'.
	 */
	public RelOriDir() {
	}

	/**
	 * Method 'RelOriDir'.
	 * 
	 * @param idRelOriDir
	 *            Long
	 */
	public RelOriDir(Long idRelOriDir) {
		this.idRelOriDir = idRelOriDir;
	}

	/**
	 * Method 'RelOriDir'.
	 * 
	 * @param idRelOriDir
	 *            Long
	 * @param idOrigenInspeccion
	 *            Integer
	 * @param idDireccion
	 *            Integer
	 * @param informeTecnico
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public RelOriDir(Long idRelOriDir, OrigenesInspeccion origenInspeccion, Direcciones direccion,
			Integer informeTecnico, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion) {

		this.idRelOriDir = idRelOriDir;
		this.origenInspeccion = origenInspeccion;
		this.direccion = direccion;
		this.informeTecnico = informeTecnico;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdRelOriDir'.
	 *
	 * @return Long
	 */

	public Long getIdRelOriDir() {
		return this.idRelOriDir;
	}

	/**
	 * Method 'setIdRelOriDir'.
	 *
	 * @param idRelOriDir
	 *            Long
	 * @return
	 */

	public void setIdRelOriDir(Long idRelOriDir) {
		this.idRelOriDir = idRelOriDir;
	}

	/**
	 * Method 'getOrigenInspeccion'.
	 *
	 * @return OrigenesInspeccion
	 */

	public OrigenesInspeccion getOrigenInspeccion() {
		return this.origenInspeccion;
	}

	/**
	 * Method 'setOrigenesInspeccion'.
	 *
	 * @param origenInspeccion
	 *            OrigenesInspeccion
	 * @return
	 */

	public void setOrigenInspeccion(OrigenesInspeccion origenInspeccion) {
		this.origenInspeccion = origenInspeccion;
	}

	/**
	 * Method 'getDireccion'.
	 *
	 * @return Direcciones
	 */

	public Direcciones getDireccion() {
		return this.direccion;
	}

	/**
	 * Method 'setDireccion'.
	 *
	 * @param direccion
	 *            Direcciones
	 * @return
	 */

	public void setDireccion(Direcciones direccion) {
		this.direccion = direccion;
	}

	/**
	 * Method 'getInformeTecnico'.
	 *
	 * @return Integer
	 */

	public Integer getInformeTecnico() {
		return this.informeTecnico;
	}

	/**
	 * Method 'setInformeTecnico'.
	 *
	 * @param informeTecnico
	 *            Integer
	 * @return
	 */

	public void setInformeTecnico(Integer informeTecnico) {
		this.informeTecnico = informeTecnico;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	@Override
	public String toString() {
		return "RelOriDir [idRelOriDir=" + idRelOriDir + ", origenInspeccion=" + origenInspeccion + ", direccion="
				+ direccion + ", informeTecnico=" + informeTecnico + ", fechaRegistro=" + fechaRegistro
				+ ", usuarioRegistro=" + usuarioRegistro + ", fechaUltmodificacion=" + fechaUltmodificacion
				+ ", usuarioUltmodificacion=" + usuarioUltmodificacion + "]";
	}

}